//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tmerclub.cloud.payment.allinpay.bean;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.annotation.JSONField;

import java.io.Serializable;

/**
 * @author lanhai
 */
public class CustReq implements Serializable {
    private static final long serialVersionUID = 1L;
    @JSONField(
            name = "PAYEE_ACCT_NO"
    )
    private String payeeAcctNo;
    @JSONField(
            name = "PAYEE_ACCT_NAME"
    )
    private String payeeAcctName;
    @JSONField(
            name = "AMOUNT"
    )
    private String amount;
    @JSONField(
            name = "SUMMARY"
    )
    private String summary;

    public String getPayeeAcctNo() {
        return this.payeeAcctNo;
    }

    public void setPayeeAcctNo(String payeeAcctNo) {
        this.payeeAcctNo = payeeAcctNo;
    }

    public String getPayeeAcctName() {
        return this.payeeAcctName;
    }

    public void setPayeeAcctName(String payeeAcctName) {
        this.payeeAcctName = payeeAcctName;
    }

    public String getAmount() {
        return this.amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getSummary() {
        return this.summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
